# $Revision: 1.6 $, $Date: 2002/11/17 23:12:50 $
Summary:	H.323 call generator
Summary(pl):	Generator pocze H.323
Name:		callgen323
Version:	1.2.4
Release:	2
License:	MPL
Group:		Networking/Daemons
Source0:	http://www.openh323.org/bin/%{name}_%{version}.tar.gz
Patch0:		%{name}-mak_files.patch
URL:		http://www.openh323.org/
BuildRequires:	openh323-devel >= 1.10.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
%requires_eq	openh323

%description
What you can do with this call generator:
 - spawning an exact number of calls.
 - receiving an exact number of calls.
 - adjust the delay between each batch of calls.
 - set the number of batches to repeat.
 - The only capability supported is G.711 ULaw 64k and user indication.

%description -l pl
Co moesz robi tym generatorem pocze:
 - utworzy dowoln ilo pocze.
 - odebra dowoln ilo pocze.
 - ustawi opnienie midzy dowoln parti pocze.
 - ustawi ilo partii pocze do powtrzenia.
 - Jedyn dostpn moliwoci jest G.711 ULaw 64k oraz wskazania uytkownika.

%prep
%setup -qn %{name}
%patch0 -p1

%build
PWLIBDIR=%{_prefix}; export PWLIBDIR
OPENH323DIR=%{_prefix}; export OPENH323DIR

%{__make} optshared OPTCCFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install obj_*/%{name} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: callgen323.spec,v $
Revision 1.6  2002/11/17 23:12:50  marcus
- rel.2.
- rebuild against openh323 1.10.4

Revision 1.5  2002/11/16 23:04:35  kloczek
- updated to 1.2.4.

Revision 1.4  2002/10/28 09:48:33  marcus
- updated to 1.2.2

Revision 1.3  2002/08/05 20:47:50  kloczek
- updated to 1.2.0: bugfixes.

Revision 1.2  2002/07/13 13:07:26  marcus
- use new %%doc

Revision 1.1  2002/07/13 08:41:45  mmazur
- STBR; rel1
